Subject: [Ietf-calsify] Re: dtstart and date vs datetime (fixed; thanks)

From: connolly at w3.org (Dan Connolly)
Date: Mon Jan 8 10:58:59 2007

On Fri, 2006-04-21 at 12:55 -0500, Dan Connolly wrote:
[...]
> The sections on DTSTART and DATETIME are reasonably
> clear that DTSTART:20060804 is no good...
> http://www.w3.org/2002/12/cal/rfc2445#sec4.8.2.4
> 
> But there's a DTSTART:19980205 example discussed in passing
> under 4.8.6.3 Trigger
> and another DTSTART:19971102
> 
> Those examples seem to still be there in the October 11, 2005 draft
> http://www.ietf.org/internet-drafts/draft-ietf-calsify-rfc2445bis-00.txt
>
> So... what's the deal?
>   - these examples are bad data and should be fixed
> 
>   - the specification of DTSTART should be updated so that
>     the default type depends on the value given
> 
>   - the specification of the DATE-TIME data type should be
>     updated so that values like 19971102 are OK

I see a 2006-10-04 edit that adopts the 1st suggestion.
http://tools.ietf.org/wg/calsify/draft-ietf-calsify-rfc2445bis/draft-ietf-calsify-rfc2445bis-03.html#rfc.change.edit-02.82

Thanks.

I haven't put test cases together yet, but I hope to soon.

> p.s. there isn't a calisfy test repository yet, is there?
> I participate in development of hCalendar test develompent.
>   http://microformats.org/wiki/hcalendar-tests
> 
> ... RDF calendar test development.
>   http://www.w3.org/2002/12/cal/test/
>   http://www.w3.org/2002/12/cal/#dev
> 
> I hope to get those two more sync'd up.
> 
> In particular, whatever answer I get from the CALSIFY WG on
> this issue, I intend to reflect in those 2 test suites.
> 
-- 
Dan Connolly, W3C http://www.w3.org/People/Connolly/
D3C2 887B 0F92 6005 C541  0875 0F91 96DE 6E52 C29E